Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.security.provider
Class ChainingSecurityContext.ChainingPrincipal

    java.lang.Object
      org.jasig.portal.security.provider.ChainingSecurityContext.ChainingPrincipal

All Implemented Interfaces:
  java.io.Serializable, IPrincipal

Enclosing class:
  ChainingSecurityContext

    protected class ChainingSecurityContext.ChainingPrincipal

extends java.lang.Object
implements IPrincipal

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `FullName`
`protected java.lang.String` | `globalUID`
`protected java.lang.String` | `UID`

Constructor Summary
`protected` | `ChainingSecurityContext.ChainingPrincipal()`

Method Summary
`java.lang.String` | `getFullName()` Returns the human-readable name of the principal.
`java.lang.String` | `getGlobalUID()` Returns the globally unique user identifier for this principal.
`java.lang.String` | `getUID()` Returns the locally unique username or user identifier for this principal.
`void` | `setFullName(java.lang.String FullName)`
`void` | `setUID(java.lang.String UID)` Sets the locally unique username in preparation for authentication.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### globalUID

    protected java.lang.String globalUID

### UID

    protected java.lang.String UID

### FullName

    protected java.lang.String FullName

Constructor Detail

### ChainingSecurityContext.ChainingPrincipal

    protected ChainingSecurityContext.ChainingPrincipal()

Method Detail

### getUID

    public java.lang.String getUID()

  Description copied from interface: `IPrincipal`
  Returns the locally unique username or user identifier for this principal.

  Specified by:
    `getUID` in interface `IPrincipal`

### getGlobalUID

    public java.lang.String getGlobalUID()

  Description copied from interface: `IPrincipal`
  Returns the globally unique user identifier for this principal. This identifier should be maximally unique within the scope of the deployed security mechanism.

  Specified by:
    `getGlobalUID` in interface `IPrincipal`

### getFullName

    public java.lang.String getFullName()

  Description copied from interface: `IPrincipal`
  Returns the human-readable name of the principal. This should be either their first and last name or whatever local convention dicates should be returned by the CommonName (CN) attribute for those security contexts using X.509 style naming.

  Specified by:
    `getFullName` in interface `IPrincipal`

### setUID

    public void setUID(java.lang.String UID)

  Description copied from interface: `IPrincipal`
  Sets the locally unique username in preparation for authentication. Note that post-authentication, an attempt to set a UID may either fail or reset the authentication status of the security context container.

  Specified by:
    `setUID` in interface `IPrincipal`
  Parameters:
    `UID` - The desired locally unique UID value.

### setFullName

    public void setFullName(java.lang.String FullName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD